#
# spec file for package dri3proto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dri3proto
Version:        1.0
Release:        9.2
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: Direct Rendering Infrastructure 3 extension
License:        MIT
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/dri3proto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/dri3proto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The DRI3 protocol headers for X11 development.
The DRI3 extension provides mechanisms to translate between direct
rendered buffers and X pixmaps. When combined with the Present
extension, a complete direct rendering solution for OpenGL is
provided.

%package devel
Summary:        The X11 Protocol: Direct Rendering Infrastructure 3 extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/dri3proto.pc

%description devel
The DRI3 protocol headers for X11 development.
The DRI3 extension provides mechanisms to translate between direct
rendered buffers and X pixmaps. When combined with the Present
extension, a complete direct rendering solution for OpenGL is
provided.

The direct rendered buffers are passed across the protocol via
standard POSIX file descriptor passing mechanisms. On Linux, these
buffers are DMA-BUF objects.

DRI3 also includes a mechanism to translate between Linux Futexes and
X Sync extension fences. This provides a synchronization mechanism
which can be used to serialize access to shared render buffers.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc %_datadir/doc/*
%_includedir/X11/extensions/
%_libdir/pkgconfig/*.pc

%changelog
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Created package dri3proto with initial version 1.0
